     *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)                                                                          
     *_> DLTMOD MODULE(@5/@4)                                                                                          
     *_> CRTRPGMOD MODULE(@5/@4) SRCFILE(@2/@1) SRCMBR(@3) +                                                           
     *_>   DBGVIEW(@9) OPTIMIZE(@8)                                                                                    
     * ---------------------------------------------------------------                                                 
     * Module.: TG0002_M01           Project.....:                                                                     
     * Author.: A. Campin            Date written: 04/03/2005                                                          
     * Purpose: Screen One. Get Menu Options.                                                                          
     * ---------------------------------------------------------------                                                 
     * Called by: TG0002                                                                                               
     * ---------------------------------------------------------------                                                 
     * Revision history:                                                                                               
     *  Project # Pgmr        Date   Desc                                                                              
     *                                                                                                                 
     * End Revision History                                                                                            
     * ---------------------------------------------------------------                                                 
     *                  Standards                                                                                      
     *                  Function Keys.                                                                                 
     *                                                                                                                 
     *  F3  - SAA Exit.                                                                                                
     *  F12 - Previous Screen.                                                                                         
     * ---------------------------------------------------------------                                                 
     *                       Indicators                                                                                
     *                                                                                                                 
     * @@@ Indicators 1 - 25 for data base I/O.                                                                        
     *                                                                                                                 
     * @@@ Indicators 26 - 29 for subfile control.                                                                     
     *                                                                                                                 
     * @@@ Indicators 30 - 49 display file I/O control.                                                                
     *                                                                                                                 
     * @@@ Indicators 50 - 79 field error indicators.                                                                  
     *                                                                                                                 
     * @@@ Indicators 80 - 94 Condition control.                                                                       
     *                                                                                                                 
     * @@@ Indicators 95 - 99 Scratch indicators.                                                                      
     *                                                                                                                 
     *      99 - Scratch indicator.                                                                                    
     * ---------------------------------------------------------------                                                 
      /EJECT                                                                                                            
     h nomain                                                                                                           
                                                                                                                        
     fTG0002_D01cf   e             WorkStn InfDS(FI01)                                                                  
     f                                     UsrOpn                                                                       
     f                                     Include(RD01_01:                                                             
     f                                             SFMSG_CTL)                                                           
                                                                                                                        
      /copy *libl/qsrcf,cb_Std_Con                                                                                      
                                                                                                                        
      /copy *libl/qsrcf,cb_StdType                                                                                      
                                                                                                                        
      /copy *libl/qsrcf,XVMSGF_PR                                                                                       
                                                                                                                        
      /copy *libl/qsrcf,TG0002_LP                                                                                       
                                                                                                                        
      /Define cb_DisplaySubfileMessages_PR                                                                              
      /copy *libl/qsrcf,CB_DSPSFM                                                                                       
      /Undefine cb_DisplaySubfileMessages_PR                                                                            
                                                                                                                        
     d LoadScreenFields...                                                                                              
     d                 pr                                                                                               
                                                                                                                        
     d ValidInput...                                                                                                    
     d                 pr                  Like(StdLgl)                                                                 
                                                                                                                        
     d ProgramName...                                                                                                   
     d                 s                   Like(StdNam)                                                                 
     d                                     Import                                                                       
                                                                                                                        
     d FI01...                                                                                                          
     d                 ds                  Qualified                                                                    
     d    KeyPressed...                                                                                                 
     d                       369    369                                                                                 
                                                                                                                        
     d SystemDataStructure...                                                                                           
     d                sds           333    Qualified                                                                    
     d   ModuleName...                                                                                                  
     d                         1     10                                                                                 
     d   UserName...                                                                                                    
     d                       254    263                                                                                 
                                                                                                                        
      /copy *libl/qsrcf,CB_MAP_IND                                                                                      
     d DisplaySubfileEndOnSubfileMessageQueue...                                                                        
     d                                     Like(StdLgl)                                                                 
     d                                     Overlay(GenericIN95)                                                         
     d cMainProcedureName...                                                                                            
     d                 c                   'PROCESSSCREEN01'                                                            
                                                                                                                        
     d ScreenOpen      s                   Like(StdLgl)                                                                 
     d                                     Inz(cFalse)                                                                  
     * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -                                             
     * ProcessScreen01                                                                                                 
     *   Do processing for Screen 01-Standard Menu Panel.                                                              
     *   Input     - None                                                                                              
     *   Out       - None                                                                                              
     *   Returns   - Key pressed to end screen.                                                                        
     * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -                                             
     p ProcessScreen01...                                                                                               
     p                 b                   Export                                                                       
     d                 pi                  like(StdChr)                                                                 
                                                                                                                        
      /copy *libl/qsrcf,CB_KEYP                                                                                         
                                                                                                                        
     d cMaintainTriggerControl...                                                                                       
     d                 c                   Const('1')                                                                   
     d cMaintainTriggerDetail...                                                                                        
     d                 c                   Const('2')                                                                   
     d KeyPressed...                                                                                                    
     d                 s                   Like(StdChr)                                                                 
      /Free                                                                                                             
                                                                                                                        
         If Not ScreenOpen;                                                                                             
           ScreenOpen = cTrue;                                                                                          
           Open TG0002_D01;                                                                                             
         EndIf;                                                                                                         
                                                                                                                        
         LoadScreenFields();                                                                                            
                                                                                                                        
         MSGF_ClearProgramMessageQueue(cMainProcedureName            :                                                  
                                       SystemDataStructure.ModuleName:                                                  
                                       ProgramName                   );                                                 
         DoU 0 = 1;                                                                                                     
                                                                                                                        
           DisplaySubfileMessages();                                                                                    
           ExFmt RD01_01;                                                                                               
                                                                                                                        
           MSGF_ClearProgramMessageQueue(cMainProcedureName            :                                                
                                         SystemDataStructure.ModuleName:                                                
                                         ProgramName                   );                                               
           MSGF_ClearErrorIndicators(*IN                  :                                                             
                                     cStartErrorIndicators:                                                             
                                     cEndErrorIndicators  );                                                            
           Select;                                                                                                      
             When FI01.KeyPressed = F3 or                                                                               
                  FI01.KeyPressed = F12;                                                                                
                Return FI01.KeyPressed;                                                                                 
             Other;                                                                                                     
               If Not ValidInput();                                                                                     
                 Iter;                                                                                                  
               EndIf;                                                                                                   
                                                                                                                        
               Select;                                                                                                  
                 When B_OPTION = cMaintainTriggerControl;                                                               
                   KeyPressed = ProcessScreen02();                                                                      
                 When B_OPTION = cMaintainTriggerDetail;                                                                
                   KeyPressed = ProcessScreen03();                                                                      
               EndSl;                                                                                                   
                                                                                                                        
               If KeyPressed = F3;                                                                                      
                 Return KeyPressed;                                                                                     
               EndIf;                                                                                                   
                                                                                                                        
               LoadScreenFields();                                                                                      
               Iter;                                                                                                    
           EndSl;                                                                                                       
         EndDo;                                                                                                         
                                                                                                                        
      /End-Free                                                                                                         
     p                 e                                                                                                
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     * CloseScreen01                                                                                                   
     *   Close out Screen 01.                                                                                          
     *  In     Parms - None.                                                                                           
     *  In/Out Parms - None.                                                                                           
     *  Out    Parms - None.                                                                                           
     *  Return       - None.                                                                                           
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     p CloseScreen01...                                                                                                 
     p                 b                   Export                                                                       
     d                 pi                                                                                               
      /Free                                                                                                             
                                                                                                                        
         Close TG0002_D01;                                                                                              
         ScreenOpen = cFalse;                                                                                           
         Return;                                                                                                        
                                                                                                                        
      /End-Free                                                                                                         
     p                 e                                                                                                
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     * LoadScreenFields                                                                                                
     *   Load any defaults for screen fields.                                                                          
     *  In     Parms - None.                                                                                           
     *  In/Out Parms - None.                                                                                           
     *  Out    Parms - None.                                                                                           
     *  Return       - None.                                                                                           
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     p LoadScreenFields...                                                                                              
     p                 b                                                                                                
     d                 pi                                                                                               
      /Free                                                                                                             
                                                                                                                        
         B_OPTION = *Blanks;                                                                                            
                                                                                                                        
      /End-Free                                                                                                         
     p                 e                                                                                                
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     * ValidInput                                                                                                      
     *   Validate any input done on screen.                                                                            
     *  In     Parms - None.                                                                                           
     *  In/Out Parms - None.                                                                                           
     *  Out    Parms - None.                                                                                           
     *  Return       - None.                                                                                           
     *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =                                            
     p ValidInput...                                                                                                    
     p                 b                                                                                                
     d                 pi                  Like(StdLgl)                                                                 
      /Free                                                                                                             
                                                                                                                        
         Return cTrue;                                                                                                  
                                                                                                                        
      /End-Free                                                                                                         
     p                 e                                                                                                
      /Define cb_DisplaySubfileMessages_PI                                                                              
      /copy *libl/qsrcf,CB_DSPSFM                                                                                       
      /Undefine cb_DisplaySubfileMessages_PI                                                                            
